> For a complete page index, fetch https://docs.conduit.xyz/llms.txt # eth_getTransactionCount POST https://rpc.plume.org/YOUR_API_KEY Content-Type: application/json Returns the number of transactions sent from an address. This is the nonce value for the next transaction from this address. ⚡ Compute Units: [20 CU](https://docs.conduit.xyz/rpc-nodes/information/compute-units) Reference: https://docs.conduit.xyz/rpc-nodes/json-rpc-reference/eth-get-transaction-count ## Request ### Body (application/json) This endpoint expects an object. - `address` (string, required) — 20-byte address - `blockIdentifier` (BlockNumberOrTagOrHash, required) — Block number, block hash, or one of "latest", "earliest", "pending", "finalized", "safe" ## Response ### 200 The number of transactions sent from the address, encoded as a hexadecimal string - `string` ## Types ### BlockNumberOrTagOrHash ## Examples **Request** ```json [ "0xee03f376ad26948d24c2e3ae76c8d95c77930763", "latest" ] ``` **Response** ```json { "id": "1", "jsonrpc": "2.0", "result": "0xdbe" } ``` **SDK Code** ```python import requests url = "https://rpc.plume.org/YOUR_API_KEY" payload = ["0xee03f376ad26948d24c2e3ae76c8d95c77930763", "latest"] headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://rpc.plume.org/YOUR_API_KEY'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '["0xee03f376ad26948d24c2e3ae76c8d95c77930763","latest"]' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://rpc.plume.org/YOUR_API_KEY" payload := strings.NewReader("[\n \"0xee03f376ad26948d24c2e3ae76c8d95c77930763\",\n \"latest\"\n]") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://rpc.plume.org/YOUR_API_KEY") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "[\n \"0xee03f376ad26948d24c2e3ae76c8d95c77930763\",\n \"latest\"\n]" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://rpc.plume.org/YOUR_API_KEY") .header("Content-Type", "application/json") .body("[\n \"0xee03f376ad26948d24c2e3ae76c8d95c77930763\",\n \"latest\"\n]") .asString(); ``` ```php request('POST', 'https://rpc.plume.org/YOUR_API_KEY', [ 'body' => '[ "0xee03f376ad26948d24c2e3ae76c8d95c77930763", "latest" ]', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://rpc.plume.org/YOUR_API_KEY"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "[\n \"0xee03f376ad26948d24c2e3ae76c8d95c77930763\",\n \"latest\"\n]", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["0xee03f376ad26948d24c2e3ae76c8d95c77930763", "latest"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://rpc.plume.org/YOUR_API_KEY")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```